Loading...
Searching...
No Matches
BALL::Peptides::PeptideBuilder Class Reference
Molecular Modeling » Molecular Structure » Creation of peptides

`#include <BALL/STRUCTURE/peptideBuilder.h>`

Inheritance diagram for BALL::Peptides::PeptideBuilder:

## Public Member Functions

| PeptideBuilder ()
| PeptideBuilder (const std::vector< AminoAcidDescriptor > &sequence)
| PeptideBuilder (const String &sequence, const Angle &phi=Angle(-47., false), const Angle &psi=Angle(-58., false), const Angle &omega=Angle(180., false))
| PeptideBuilder (const PeptideBuilder &pc)
virtual | ~PeptideBuilder ()
void | addAminoAcid (const String &type, const Angle &phi=Angle(-47., false), const Angle &psi=Angle(-58., false), const Angle &omega=Angle(180., false))
void | addAminoAcid (const AminoAcidDescriptor &aad)
void | setChainName (const String &name)
const String & | getChainName () const
void | setProteinName (const String &name)
const String & | getProteinName () const
Protein * | construct ()
void | setFragmentDB (const FragmentDB *db)
const FragmentDB * | getFragmentDB () const

## Protected Member Functions

Residue * | createResidue_ (const String &type, const int id)
void | insert_ (Residue &resnew, Residue &resold)
void | transform_ (const Angle &phi, const Angle &psi, Residue &resold, Residue &resnew)
void | peptide_ (Residue &resold, Residue &resnew)
void | setOmega_ (Residue &resold, Residue &residue, const Angle &omega)
PDBAtom * | getAtomByName_ (Residue &res, const String &name)

## Protected Attributes

std::vector< AminoAcidDescriptor > | sequence_
String | chainname_
String | proteinname_
bool | is_proline_
| The proline flag.
FragmentDB * | fragment_db_

## Detailed Description

Build a Peptide from a sequence and the corresponing angles. Dont forget to call setFragmentDB() before using this class.

Definition at line 92 of file peptideBuilder.h.

## Constructor & Destructor Documentation

## PeptideBuilder() [1/4]

BALL::Peptides::PeptideBuilder::PeptideBuilder | ( |  | ) |

Default constructor.

## PeptideBuilder() [2/4]

BALL::Peptides::PeptideBuilder::PeptideBuilder | ( | const std::vector< AminoAcidDescriptor > & | sequence | ) |

Detailed constructor. This constructor takes a vector of AminoAcidDescriptors and prepares everything for the construction process.

## PeptideBuilder() [3/4]

BALL::Peptides::PeptideBuilder::PeptideBuilder | ( | const String & | sequence,
|  | const Angle & | phi = Angle(-47., false),
|  | const Angle & | psi = Angle(-58., false),
|  | const Angle & | omega = Angle(180., false) )

Construct a peptide from a one-letter code sequence.

## PeptideBuilder() [4/4]

BALL::Peptides::PeptideBuilder::PeptideBuilder | ( | const PeptideBuilder & | pc | ) |

copy constructor

## ~PeptideBuilder()

virtual BALL::Peptides::PeptideBuilder::~PeptideBuilder | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## addAminoAcid() [1/2]

void BALL::Peptides::PeptideBuilder::addAminoAcid | ( | const AminoAcidDescriptor & | aad | ) |

Adds another amino acid to the sequence.

## addAminoAcid() [2/2]

void BALL::Peptides::PeptideBuilder::addAminoAcid | ( | const String & | type,
|  | const Angle & | phi = Angle(-47., false),
|  | const Angle & | psi = Angle(-58., false),
|  | const Angle & | omega = Angle(180., false) )

Adds another amino acid to the sequence.

## construct()

Protein * BALL::Peptides::PeptideBuilder::construct | ( |  | ) |

Constructs the peptide and returns it.

## createResidue_()

Residue * BALL::Peptides::PeptideBuilder::createResidue_ | ( | const String & | type,
|  | const int | id )

protected

some helper functions for the construction of the residue; for internal use only omega is not yet implemented

## getAtomByName_()

PDBAtom * BALL::Peptides::PeptideBuilder::getAtomByName_ | ( | Residue & | res,
|  | const String & | name )

protected

## getChainName()

const String & BALL::Peptides::PeptideBuilder::getChainName | ( |  | ) | const

Returns the name of the chain.

## getFragmentDB()

const FragmentDB * BALL::Peptides::PeptideBuilder::getFragmentDB | ( |  | ) | const

## getProteinName()

const String & BALL::Peptides::PeptideBuilder::getProteinName | ( |  | ) | const

Returns the name of the protein.

## insert_()

void BALL::Peptides::PeptideBuilder::insert_ | ( | Residue & | resnew,
|  | Residue & | resold )

protected

## peptide_()

void BALL::Peptides::PeptideBuilder::peptide_ | ( | Residue & | resold,
|  | Residue & | resnew )

protected

## setChainName()

void BALL::Peptides::PeptideBuilder::setChainName | ( | const String & | name | ) |

Sets the name of the chain.

## setFragmentDB()

void BALL::Peptides::PeptideBuilder::setFragmentDB | ( | const FragmentDB * | db | ) |

## setOmega_()

void BALL::Peptides::PeptideBuilder::setOmega_ | ( | Residue & | resold,
|  | Residue & | residue,
|  | const Angle & | omega )

protected

## setProteinName()

void BALL::Peptides::PeptideBuilder::setProteinName | ( | const String & | name | ) |

Sets the name of the protein.

## transform_()

void BALL::Peptides::PeptideBuilder::transform_ | ( | const Angle & | phi,
|  | const Angle & | psi,
|  | Residue & | resold,
|  | Residue & | resnew )

protected

## Member Data Documentation

## chainname_

String BALL::Peptides::PeptideBuilder::chainname_

protected

Definition at line 159 of file peptideBuilder.h.

## fragment_db_

FragmentDB* BALL::Peptides::PeptideBuilder::fragment_db_

protected

Definition at line 164 of file peptideBuilder.h.

## is_proline_

bool BALL::Peptides::PeptideBuilder::is_proline_

protected

The proline flag.

Definition at line 163 of file peptideBuilder.h.

## proteinname_

String BALL::Peptides::PeptideBuilder::proteinname_

protected

Definition at line 160 of file peptideBuilder.h.

## sequence_

std::vector<AminoAcidDescriptor> BALL::Peptides::PeptideBuilder::sequence_

protected

Definition at line 158 of file peptideBuilder.h.